Package org.eclipse.zest.layouts.algorithms

# Class TreeLayoutObserver.TreeNodeFactory

java.lang.Object
org.eclipse.zest.layouts.algorithms.TreeLayoutObserver.TreeNodeFactory

Enclosing class:
  `TreeLayoutObserver`

public static class TreeLayoutObserver.TreeNodeFactory extends Object
`TreeLayoutObserver` uses instance of this class to create instances of `TreeLayoutObserver.TreeNode`. It may be extended and passed to `TreeLayoutObserver`'s constructor in order to build a tree structure made of `TreeNode`'s subclasses.

## Constructor Summary

Constructors
Constructor
Description
`TreeNodeFactory()`

## Method Summary

Modifier and Type
Method
Description
`TreeLayoutObserver.TreeNode`
`createTreeNode(NodeLayout nodeLayout, TreeLayoutObserver observer)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TreeNodeFactory

public TreeNodeFactory()

## Method Details

### createTreeNode

public TreeLayoutObserver.TreeNode createTreeNode(NodeLayout nodeLayout, TreeLayoutObserver observer)